# ezQuake Manual: Spectator Tracking Variables

## cam_dist

### Description

for use with cam_thirdperson. Use +forward/+back to adjust it smoothly

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is integer.
Value = distantion

## cam_lockdir

### Description

Force camera to locked direction mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Force
0 | Dont force

## cam_lockpos

### Description

Force camera to locked position mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Force
0 | Dont force

EXPEREMENTAL

## cam_thirdperson

### Description

Enables third person view in demo playback and spectator mode. In track mode, we look at the person being tracked rather than through his eyes. Unlike cl_camera_tpp, you can use the mouse to look around.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

in track mode, we look at the person being tracked rather than through his eyes

## cam_zoomaccel

### Description

To control how fast you zoom in onto the target with +forward/+back in cam_thirdperson mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2000

## cam_zoomspeed

### Description

To control how fast you zoom in onto the target with +forward/+back in cam_thirdperson mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 300

## cl_camera_death

### Description

Camera view above your body after death.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

## cl_camera_tpp

### Description

0 = 1st person view 1 = 3rd person view ala Tomb Raider (such a fun!) 2 = 3rd person view ala cl_chasecam 0 (buggy)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

## cl_camera_tpp_distance

### Description

Sets distance of 3rd person camera from tracked player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -56

Variable is float.
You can use negative values too.

Set cl_camera_tpp 1 first. See cl_camera_tpp_height too.

## cl_camera_tpp_height

### Description

Sets vertical position of 3rd person camera.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 24

Variable is float.
You can use negative values too.

Set cl_camera_tpp 1 first.

## cl_chasecam

### Description

Toggle between 3rd-person view and 1st-person view while observing or during demo playback.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | First-person ("through-eyes") view.
0 | Third-person view.

## cl_hightrack

### Description

Turns auto-tracking player with most frags ON when spectating or watching a demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs